× R0.24 No Longer Supported

problems in joomdle users

8 years 9 months ago
Luis
Posts: 21
More
Topic Author
problems in joomdle users #1
Hace tiempo que no entraba en el foro, desde mayo del año pasado, ya que tenía el joomdle felizmente instalado en la web, que por cierto le quedan los meses más intensos de vida pero que en julio morirá, ya que es para un congreso.
Pues eso, que me acabo de dar cuenta que esto ha evolucionado un montón y que lo que era la última versión que yo instalé la 0.24 ya está descatalogada.
Pues tengo un problema que acabo de detectar ... de repente en el panel de usuarios de joomdle se me han desactivado todos los usuarios de "moodle" y "joomdle" ... es un problema muy gordo y no se por dónde atacarlo ...¡los nervios! yo no he hecho nada en la administración, aunque hay otro administrador que tampoco creo que ha tocado nada.

Decidme por dónde debo empezar por favor, siempre habeis sido muy amables y ahora os necesito de verdad

Un saludo

Atentamente
Luis llano
8 years 9 months ago
Chris
Posts: 2118
More
problems in joomdle users #2
Hi there,

Antonio is away at the moment, so I have used Google translate to change your request to English. However, maybe the translation is not too accurate. I understand that you are using Joomdle 0.24 which is very old now and many things I have forgotten. My first suggestion would be to identify what has changed. It is unlikely that it stopped working without a change to something. Do you have a backup that you can compare with? Just load your backup to another place and then compare the files. Also, you say that the users are disabled, can you enable them?
8 years 9 months ago
Luis
Posts: 21
More
Topic Author
problems in joomdle users #3
A lot of thanks of your effort. I will try in my english although is possible the automatic translator can be things better ...

I have just realized that i have to upgrade but i have a big problem now i have to resolve first. I had to set off the site.

In the tab users of joomdle i cant activate "add to moodle" nor "migrate to joomdle". All user have this unchecked (except col joomla of course), and all this was checked and runnning two days ago.

Maybe this message of the "error_log" can help you:

[28-Jan-2011 23:36:04] PHP Warning: file_get_contents() [<a href='function.file-get-contents'>function.file-get-contents</a>]: URL file-access is disabled in the server configuration in /home/jaemorg/public_html/plugins/system/joomdlesession.php on line 96

There is a lot of this messages from the 27th december like this, and this seems to match in time with the beginning of the problem.

please ...
8 years 9 months ago
Luis
Posts: 21
More
Topic Author
problems in joomdle users #4
Habían cambiado una variable en el servidor (allow_url_fopen) de nuestro hosting que impedía la comunicación entre scripts. Una medida de seguridad que se implementa por seguridad por defecto en php. Joomdle al parecer utiliza este tipo de referencias.

¡buff! vaya susto

perdonar las molestias y gracias de todos modos.

Algún consejo para migrar el joomdle a una nueva versión??
8 years 9 months ago
Chris
Posts: 2118
More
problems in joomdle users #5
Yes it seems as though your server configuration has changed and no longer accepts the php command allow_url_fopen. I not so sure that this is a security problem however as many hosting providers allow it. Furthermore it is a command required by many software applications.

With the latest versions of Joomdle you have two options
1. allow_url_fopen
2. curl

You should check with your hosting company if they allow curl. You will need one of these as these commands/protocols are required to allow application to application connections. Joomdle requires this, Moodle requires this, Joomla requires this too.

Also, should asked them to give you a solution immediately for your allow_url_fopen as it is not normal for a hosting company to change your server configuration without advanced warning as it can be harmful to web applications. Personally, I would not accept such behaviour.
Cron Job Starts